%global pkgname rsa

Name:           python-rsa
Version:        3.1.1
Release:        2%{?dist}
Summary:        Pure-Python RSA implementation

License:        ASL 2.0
URL:            http://stuvel.eu/rsa
Source0:        https://pypi.python.org/packages/source/r/rsa/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pyasn1
BuildRequires:  python-unittest2

%description
Pure-Python RSA implementation

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf %{pkgname}-*.egg-info

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root {BUILDROOT}

%check
%{__python} run_tests.py
 
%files
%doc LICENSE

%changelog
* Sun May 26 2013 Yohan Graterol <yohangraterol92@gmail.com> - 3.1.1-2
- Change license name, remove MANIFEST.in
* Sun May 19 2013 Yohan Graterol <yohangraterol92@gmail.com> - 3.1.1-1
- Initial packaging 
